# $Revision: 1.2 $, $Date: 2003/09/03 16:55:37 $
Summary:	RPM Spec Pre Processor
Summary(pl):	Preprocessor dla specy
Name:		rspp
Version:	0.0.2
Release:	1
License:	Academic Free License v2.0
Group:		Development/Building
Vendor:		Michal Moskal <malekith@pld-linux.org>
Source0:	ftp://ftp.pld-linux.org/people/malekith/%{name}/%{name}-%{version}.tar.gz
# Source0-md5:	7784d8af6c2f07867643e9ffebabe1fe
URL:		http://www.kernel.pl/~malekith/
BuildRequires:	ocaml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Simple tool that process rpm macros and spec files. It can either
output preprocessed spec or evaluate specific macro. It doesn't handle
some more bizarre rpm syntax. It is aimed as help with automatic spec
processing (like looking for list of BuildRequires and so on).

%description -l pl
Proste narzdzie do przetwarzania plikw z makrami rpm i specy. Moe
wywietli przetworzony spec, lub rozwinit warto makra. Nie
obsuguje co dziwniejszej skadni rpm. Celem tego narzdzia jest
automatyczne przetwarzanie specy (np. szukanie listy pakietw
wymaganych do budowania).

%prep
%setup -q

%build
%{__make} opt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install rspp.opt $RPM_BUILD_ROOT%{_bindir}/rspp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README COPYING
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rspp.spec,v $
Revision 1.2  2003/09/03 16:55:37  malekith
- argh... 0.0.2 relicensed under AFL 2.0

Revision 1.1  2003/09/03 16:37:18  malekith
- initial

